PUT V1/PaymentsMaster.{ext}/Checks

To Update Check.
Mandatory Fileds: CheckId, NextSequenceNumber
Optional Fileds : N/A

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Payments.Entities.Check
NameDescriptionTypeAdditional information
CheckId

Gets or sets Check Id.

integer

None.

ProductId

Gets or sets Product Id.

string

None.

ClientId

Gets or sets Client Id.

string

None.

CheckPrefix

Gets or sets Check Prefix.

string

None.

LastCheckSequence

Gets or sets Last Check Sequence.

string

None.

NextSequenceNumber

Gets or sets Next Sequence Number.

string

None.

CheckDocNumber

Gets or sets Check Doc Number.

string

None.

Status

Gets or sets Status.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "checkId": 1,
  "productId": "sample string 1",
  "clientId": "sample string 2",
  "checkPrefix": "sample string 3",
  "lastCheckSequence": "sample string 4",
  "nextSequenceNumber": "sample string 5",
  "checkDocNumber": "sample string 6",
  "status": "sample string 7"
}

application/xml, text/xml

Sample:
<Check xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <CheckDocNumber>sample string 6</CheckDocNumber>
  <CheckId>1</CheckId>
  <CheckPrefix>sample string 3</CheckPrefix>
  <ClientId>sample string 2</ClientId>
  <LastCheckSequence>sample string 4</LastCheckSequence>
  <NextSequenceNumber>sample string 5</NextSequenceNumber>
  <ProductId>sample string 1</ProductId>
  <Status>sample string 7</Status>
</Check>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.